Bug 2020725 (CVE-2021-41771)

Summary: CVE-2021-41771 golang: debug/macho: invalid dynamic symbol table command can cause panic
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abishop, admiller, adsoni, amctagga, amuller, amurdaca, anharris, anpicker, aos-bugs, aos-install, asm, bdettelb, bmontgom, bniver, bodavis, caswilli, cnv-qe-bugs, crarobin, dbecker, dbenoit, dwhatley, dymurray, emachado, eparis, erooth, etamir, fdeutsch, fjansen, flucifre, gmeno, godas, hchiramm, hvyas, ibolton, jakob, jarrpa, jburrell, jcajka, jhadvig, jjoyce, jmadigan, jmatthew, jmontleo, jmulligan, joelsmith, jpadman, jschluet, jwong, jwon, kaycoth, krathod, lball, lemenkov, lhh, lhinds, lmadsen, lpeer, madam, maszulik, matzew, mbenjamin, mburns, mfojtik, mgarciac, mhackett, mnewsome, mrunge, nbecker, ngough, nstielau, ocs-bugs, pamccart, puebele, rfreiman, rhs-bugs, rhuss, rrajasek, rtalur, sabose, sclewis, sgott, slinaber, slucidi, sostapov, spasquie, sponnaga, sseago, sttts, tcarlin, tnielsen, tstellar, vereddy, vkumar, xxia
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: go 1.16.10, go 1.17.3 Doc Type: If docs needed, set a value
Doc Text:
An out of bounds read vulnerability was found in debug/macho of the Go standard library. When using the debug/macho standard library (stdlib) and malformed binaries are parsed using Open or OpenFat, it can cause golang to attempt to read outside of a slice (array) causing a panic when calling ImportedSymbols. An attacker can use this vulnerability to craft a file which causes an application using this library to crash resulting in a denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-05-11 18:46:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2020727, 2013628, 2020726, 2020728, 2021159, 2021749, 2023670, 2023672, 2023673, 2024686, 2024687, 2024701    
Bug Blocks: 2020742    

Description Guilherme de Almeida Suckevicz 2021-11-05 17:49:44 UTC
Malformed binaries parsed using Open or OpenFat can cause a panic when calling ImportedSymbols, due to an out-of-bounds slice operation.

Reference:
https://github.com/golang/go/issues/48990

Comment 1 Guilherme de Almeida Suckevicz 2021-11-05 17:50:18 UTC
Created golang tracking bugs for this issue:

Affects: epel-all [bug 2020726]
Affects: fedora-all [bug 2020728]
Affects: openstack-rdo [bug 2020727]

Comment 2 Przemyslaw Roguski 2021-11-08 13:35:17 UTC
Upstream issue:
https://github.com/golang/go/issues/48990

Comment 19 errata-xmlrpc 2022-05-05 13:49:20 UTC
This issue has been addressed in the following products:

  Red Hat Migration Toolkit for Containers 1.7

Via RHSA-2022:1734 https://access.redhat.com/errata/RHSA-2022:1734

Comment 20 errata-xmlrpc 2022-05-09 07:45:35 UTC
This issue has been addressed in the following products:

  Openshift Serverless 1 on RHEL 8

Via RHSA-2022:1745 https://access.redhat.com/errata/RHSA-2022:1745

Comment 21 errata-xmlrpc 2022-05-09 16:48:12 UTC
This issue has been addressed in the following products:

  Openshift Serveless 1.22

Via RHSA-2022:1747 https://access.redhat.com/errata/RHSA-2022:1747

Comment 22 errata-xmlrpc 2022-05-10 13:38:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1819 https://access.redhat.com/errata/RHSA-2022:1819

Comment 23 Product Security DevOps Team 2022-05-11 18:46:21 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-41771